> ## Documentation Index
> Fetch the complete documentation index at: https://sendforsign.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Send to recipients

> Send a contract to its recipients by email for signing, approval or viewing with the Sendforsign API.

One way to send a contract to recipients is when you create a contract.
[See this page](https://sendforsign.com/docs/api-reference/contract/create-send.md) to learn more.

If you need to send an existing contract to recipients, use the request below.

### Body parameters

**data** `object` *required*

**child attribute**

**action** `string` *required*

Action type.

**clientKey** `string` *required*

Key of the client.

**userKey** `string`

ID of the user who is sending the contract. If not specified, the default user credentials will be used.

**contractKey** `string` *required*

Key of the contract.

**recipients** `array`

Array of recipients, optional. If no array of recipients is provided,
the system will send the contract to those recipients who were added previously.

**child attribute**

**recipientKey** `string`

A recipient key corresponds to an existing recipient in the contract you are sending.
Use this parameter if you need to update any parameter of this specific recipient.

**action** `string`

What the recipient needs to do with the contract. Available options: `view`, `sign`, `approve`, and `lock`.

**customMessage** `string`

Custom note to the recipient. If not specified, the default message will be sent.

**fullname** `string`

Full name of the recipient.

**email** `string` *required*

Email of the recipient.

**position** `number`

Signing order. If not specified, all requests will be sent simultaneously.

### Response

**result** `boolean`

Status.

**code** `string`

The code of the answer.

**message** `string`

The message of the answer.

```bash cURL theme={null}
curl -X POST 'https://api.sendforsign.com/api/recipient' \
     -H 'X-Sendforsign-Key: YOUR_API_KEY' \
     -H 'Content-Type: application/json' \
     -d '{ 
		  "data": {
				   "action": "send",
				   "clientKey": "YOUR_CLIENT_KEY",
                   "userKey": "USER_KEY", 
				   "contractKey": "CONTRACT_KEY",
           "recipients":[
            {
                "recipientKey": "RECIPIENT_KEY",
                "action": "sign",
                "clientKey": "YOUR_CLIENT_KEY",
                "customMessage": "Custom message text",
                "fullname": "John Johnson", 
                "email": "john_johnson1@mail.com", 
                "position": 1
            },
            {
                "action": "view",
                "clientKey": "YOUR_CLIENT_KEY",
                "customMessage": "Custom message text",
                "fullname": "John Johnson", 
                "email": "john_johnson2@mail.com", 
                "position": 2
            }
               ], 
				  }
       }'
```

```json Response theme={null}
     {
       "result": true,
       "code": "200",
       "message": "Contract sent"
    }
```


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.